<?xml version='1.0' encoding='utf-8'?>
<FilingSummary>
  <Version>3.25.1</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>83</ContextCount>
  <ElementCount>35</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>12</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>1</UnitCount>
  <MyReports>
    <Report instance="d867556ddef14a.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>995100 - Document - Cover</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://xbrl.sec.gov/dei/role/document/Cover</Role>
      <ShortName>Cover</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="d867556ddef14a.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>995410 - Disclosure - Pay vs Performance Disclosure</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://xbrl.sec.gov/ecd/role/PvpDisclosure</Role>
      <ShortName>Pay vs Performance Disclosure</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="d867556ddef14a.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>995440 - Disclosure - Recovery of Erroneously Awarded Compensation</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://xbrl.sec.gov/ecd/role/ErrCompDisclosure</Role>
      <ShortName>Recovery of Erroneously Awarded Compensation</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="d867556ddef14a.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>995443 - Disclosure - Award Timing Disclosure</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://xbrl.sec.gov/ecd/role/AwardTimingDisclosure</Role>
      <ShortName>Award Timing Disclosure</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="d867556ddef14a.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>995447 - Disclosure - Insider Trading Policies and Procedures</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://xbrl.sec.gov/ecd/role/InsiderTradingPoliciesProc</Role>
      <ShortName>Insider Trading Policies and Procedures</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File doctype="DEF 14A" isProxy="true" isUsgaap="true" original="d867556ddef14a.htm">d867556ddef14a.htm</File>
    <File>ddd-20241231.xsd</File>
    <File>ddd-20241231_def.xml</File>
    <File>ddd-20241231_lab.xml</File>
    <File>ddd-20241231_pre.xml</File>
  </InputFiles>
  <SupplementalFiles>
    <File>g867556g00b33.jpg</File>
    <File>g867556g00c23.jpg</File>
    <File>g867556g00c86.jpg</File>
    <File>g867556g00m29.jpg</File>
    <File>g867556g00m30.jpg</File>
    <File>g867556g01c55.jpg</File>
    <File>g867556g01d55.jpg</File>
    <File>g867556g02a02.jpg</File>
    <File>g867556g05d06.jpg</File>
    <File>g867556g11s01.jpg</File>
    <File>g867556g11s02.jpg</File>
    <File>g867556g37p14.jpg</File>
    <File>g867556g83v26.jpg</File>
    <File>g867556g93j28.jpg</File>
    <File>g867556pc001.jpg</File>
    <File>g867556pc004.jpg</File>
    <File>g867556pc005.jpg</File>
    <File>g867556pc007.jpg</File>
    <File>g867556pc008.jpg</File>
    <File>g867556pc009.jpg</File>
    <File>g867556pppc1.jpg</File>
  </SupplementalFiles>
  <BaseTaxonomies>
    <BaseTaxonomy items="5">http://fasb.org/us-gaap/2024</BaseTaxonomy>
    <BaseTaxonomy items="4">http://xbrl.sec.gov/dei/2024</BaseTaxonomy>
    <BaseTaxonomy items="143">http://xbrl.sec.gov/ecd/2024</BaseTaxonomy>
  </BaseTaxonomies>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>false</HasCalculationLinkbase>
</FilingSummary>
